Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class NotificationBroadcasterSupport

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport

All Implemented Interfaces:
  NotificationBroadcaster

Direct Known Subclasses:
  Monitor, RelationService, Timer

public class NotificationBroadcasterSupport
extends java.lang.Object
implements NotificationBroadcaster

Author:
  Young Yang

Constructor Summary
`NotificationBroadcasterSupport()`

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, java.lang.Object handback)` Adds a listener.
`MBeanNotificationInfo[]` | `getNotificationInfo()` Returns a NotificationInfo object contaning the name of the Java class of the notification and the notification types sent.
`void` | `removeNotificationListener(NotificationListener listener)` Removes a listener.
`void` | `sendNotification(Notification notification)` Sends a notification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationBroadcasterSupport

    public NotificationBroadcasterSupport()

Method Detail

### addNotificationListener

    public void addNotificationListener(NotificationListener listener,
                                        NotificationFilter filter,
                                        java.lang.Object handback)

  Adds a listener.

  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  Parameters:
    `listener` - The listener to receive notifications.
    `filter` - The filter object. If filter is null, no filtering will be performed before handling notifications.
    `handback` - An opaque object to be sent back to the listener when a notification is emitted. This object cannot be used by the Notification broadcaster object. It should be resent unchanged with the notification to the listener.

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Removes a listener. Note that if the listener has been registered with different handback objects or notification filters, all entries corresponding to the listener will be removed.

  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Parameters:
    `listener` - the listener to receive notifications.
  Throws:
    `ListenerNotFoundException`

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Returns a NotificationInfo object contaning the name of the Java class of the notification and the notification types sent.

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`

### sendNotification

    public void sendNotification(Notification notification)

  Sends a notification. A listener will be removed if an exception appears when calling the listener's handleNotification method.

  Parameters:
    `notification` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD